package ch.fritteli.labyrinth.generator.serialization;

import java.io.ByteArrayOutputStream;

public class LabyrinthOutputStream extends ByteArrayOutputStream {
    public void writeByte(final byte value) {
        this.write(value);
    }

    public void writeInt(final int value) {
        this.write(value >> 24);
        this.write(value >> 16);
        this.write(value >> 8);
        this.write(value);
    }

    public void writeLong(final long value) {
        this.writeInt((int) (value >> 32));
        this.writeInt((int) value);
    }
}
